var windowId,sysUrl = top.sysUrl,toEdit;
$(function(){
//	initSelect();
	initDefault();	
});
//默认
function initDefault(){
	initGrid();
}
//查询条件
function getQueryParams(){
	var sParam = {};
//	sParam.LIKExh = $('#LIKExh').textbox("getValue");
	sParam.LIKElkbh = $('#LIKElkbh').textbox("getValue");
	sParam.LIKElkmc = $('#LIKElkmc').textbox("getValue");
	sParam.LIKEgxdwdm = $('#LIKEgxdwdm').textbox("getValue");
	sParam.LIKEgxdwmc = $('#LIKEgxdwmc').textbox("getValue");
	return sParam;
}
//加载列表
function initGrid(){	
	var toolbar = [{
    	text	:	'查询',
        iconCls	:	'icon-search',
        handler	:	doSearch
    },{
        text	:	'增加',
        iconCls	:	'icon-add',
        handler	:	doAdd
    },{
        text	:	'修改',
        iconCls	:	'icon-cut',
        handler	:	doEdit
    },{
        text	:	'删除',
        iconCls	:	'icon-delete',
        handler	:	doDelete
    }/*,{
        text	:	'模板',
        iconCls	:	'icon-export-excel',
        handler	:	doTemplate
    },{
        text	:	'导入',
        iconCls	:	'icon-update',
        handler	:	doImport
    },{
        text	:	'导出',
        iconCls	:	'icon-download',
        handler	:	doExport
    }*/];
	$('#tableGrid').datagrid({
		toolbar : toolbar,
		singleSelect:true,
		rownumbers:true,
		queryParams:getQueryParams(),
		url : 'kSH_KKXXAction!listKsh_kkxxByPage.do',
		columns : [[
		    {
				field: 'A',
				checkbox:'true',
				width:30
			},
 			{field:'lkbh',title:'路口编号',hidden:false,width:120},
 			{field:'lkmc',title:'路口名称',hidden:false,width:300},
			{field:'jd',title:'经度',hidden:false,width:120},
			{field:'wd',title:'纬度',hidden:false,width:120},
			{field:'gxdwdm',title:'管辖单位代码',hidden:false,width:120},
			{field:'gxdwmc',title:' 管辖单位名称',hidden:false,width:120},
			{field:'bz',title:'备注',hidden:false,width:120},

		]]
	});
}

function doDetail(xh) {
	windowId = top.$.createWin({
		title	: 	'详情信息',
		width	:  	600,
		height	: 	430,
		data   	:   xh,

		onClose:function(){
			var win		=	$.getTopWindowById(windowId);
			win.unloadWindow();
		},
		url	:	sysUrl+"/yw/nhyw/ksh_kkxx/ksh_kkxx_show.jsp"
	 });
}

//删除
function doDelete(){
	var selRows = $('#tableGrid').datagrid('getSelected'); 
	if(!selRows){
		$.showMsg('请先选择记录! ');
		return;
	}
	top.$.dlg.confirm('确认删除?',function(){
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'kSH_KKXXAction!delete_Ksh_kkxx.do',
			data:{
				lkbh	:	selRows.lkbh
			},
			success:function(flag){
				if(flag == "success"){
					$.showMsg("操作成功！");
					doSearch();
				}else{
					$.showMsg("操作失败！");
				}
			}
		});
	});
}
//批量删除
function doDelete_batch(){
	var selRows = $('#tableGrid').datagrid('getChecked'); 
	var keyword = [];
	 if(selRows===null){
		$.showMsg('请先选择一行! ');
		 return;
	 }else{
		for(var i=0; i<selRows.length; i++){
			keyword.push(selRows[i].xh);
		}
		top.$.dlg.confirm('你确认要删除吗?',function(){ 
		    $.ajax({
				 type:'post',
				 dataType : 'json',
				 url:'kSH_KKXXAction!batch_delete_Ksh_kkxx.do',
				 data:{keyword	:	keyword.join(",")},
				 success:function(flag){
				 	if(!$.isNull(flag)){
						$.showMsg("操作成功！");
					 	doSearch();
					}else{
						$.showMsg("操作失败！");
					}
				}
			 });
		}); 
	}
}
//查询
function doSearch(){	
	$('#tableGrid').datagrid('load',getQueryParams());
}
//增加
function doAdd(){
	toEdit=false;
	windowId = top.$.createWin({
		title	: 	'增加信息',
		width	:  	650,
		height	: 	400,
		onClose:function(){
			var win		=	$.getTopWindowById(windowId);
			win.unloadWindow();
		},
		buttons:  [{
			text:$.fn.textbox.defaults.ok,
			handler:saveNodeInfo
		}],
		url	:	sysUrl+"/yw/nhyw/ksh_kkxx/ksh_kkxx_show.jsp"
	 });
}
//修改
function doUpdate(index){
	toEdit=true;
	var selRows = $('#tableGrid').datagrid('getRows')[index];
	selRows.toEdit=toEdit;
	windowId = top.$.createWin({
		title	: 	'修改信息',
		width	:  	650,
		height	: 	400,
		data   	:   selRows,
		onClose:function(){
			var win		=	$.getTopWindowById(windowId);
			win.unloadWindow();
		},
		buttons:  [{
			text:$.fn.textbox.defaults.ok,
			handler:saveNodeInfo
		}],
		url	:	sysUrl+"/yw/nhyw/ksh_kkxx/ksh_kkxx_show.jsp"
	});
}
//保存
function saveNodeInfo(){
	var win		=	$.getTopWindowById(windowId);
	var jq		=	win.$;
	var model   =   $.getFormValues("childform",windowId);
	if(toEdit){//修改
		model.XGTJlkbh = jq('#xh').val();
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'kSH_KKXXAction!update_Ksh_kkxx.do',
			data:model,
			success:function(value){
				if(value=="success"){
					$.showMsg("操作成功！");
					top.$("#"+windowId).dialog('close');
					doSearch();
				}else if(value=="same"){
					$.showMsg("已存在！");
				}else{
					$.showMsg("操作失败！");
				}
			}
		});
	}else{
		if(model.lkbh==null || model.lkbh=="" ||model.lkbh=='null'　|| model.lkbh===undefined)
		{
			top.$.dlg.alertInfo('路口编号不为空! ');
			return;
		}
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'kSH_KKXXAction!insert_Ksh_kkxx.do',
			data:model,
			success:function(value){
				if(value=="success"){
					$.showMsg("操作成功！");
					top.$("#"+windowId).dialog('close');
					doSearch();
				}else if(value=="same"){
					$.showMsg("已存在！");
				}else{
					$.showMsg("操作失败！");
				}
			}
		});
	}
}
//打开修改
function doEdit(){
	var selIndex = $('#tableGrid').datagrid('getRowIndex', $("#tableGrid").datagrid('getSelected'))
	if(selIndex==-1){
		$.showMsg('请先选择一行! ');
		 return;
	}else{
		doUpdate(selIndex);
	}		
}
// //模板下载
// function doTemplate(){
// 	var baseUrl = $.proPath();
// 	var downFile = baseUrl+"/down/down.xls";
// 	window.location.href= downFile;
// }
// //导入
// function doImport(){
// 	toEdit=false;
// 	windowId = top.$.createWin({
// 		 id		:	$.uniqueId(),
// 		 title	: 	'导入',
// 		 width	:  	400,
// 		 height	: 	130,
// 		 url	:	sysUrl+"/im/xx/nhywjtbzgl_imp.jsp"
// 	 });
// }
// //导出
// function doExport(){
// 	var model = getQueryParams();
// 	$.ajax({
// 		type : 'post',
// 		dataType : 'json',
// 		data : model,
// 		url : 'kSH_KKXXAction!count_Nhywjtbzgl.do',
// 		success : function(value) {
// 			if(!$.isNull(value)){
// 				countExport(value);
// 			}else{
// 				$.showMsg("操作失败！");
// 			}
// 		}
// 	});
// }
// // 导出传参条件
// function countExport(totalSize) {
// 	var limit = 5000;
// 	if (totalSize > 5000) {
// 		top.$.dlg.confirm('记录过多支持前5000条,确定要将记录导出Excel为表格吗?',function(){
// 			execExport();
// 		});
// 	} else {
// 		top.$.dlg.confirm('确认导出?',function(){
// 			execExport();
// 		})
// 	}
// }
// // 调用后台
// function execExport() {
// 	var model = getQueryParams();
// 	var downParam = "";
// 	document.excelForm.action = 'kSH_KKXXAction!exp_Nhywjtbzgl.do?'+downParam;
// 	document.excelForm.submit();
// }
//
// //初始化加载下拉框
// function initSelect(){
// 	//加载下拉框
// 	$.ajax({
// 		url:" xtclAction!query_Xtcl_task.do",
// 		type:"post",
// 		dataType:"JSON",
// 		data : {"csdl":"nhywBzlx"},
// 		success:function(res){
// 		//	console.log(res);
// 			if(res && res.length>0){
// 				var nhywBzlxArr = [{"id":"","text":"全部","selected":true}];
// 				for(i in res){
// 					if(res[i].csdl=="nhywBzlx"){
// 						nhywBzlxArr.push({"id":res[i].csdm,"text":res[i].csmc});
// 					}
// 				}
// 				$("#LIKEbzlx").combobox("loadData", nhywBzlxArr);
// 			}
// 		}
// 	});
// }
//
// function uploadFile(){
// 	var win		=	$.getTopWindowById(windowId);
// 	var res = '';
// 	win.$("#childform").ajaxSubmit({
// 	    type: 'post', // 提交方式 get/post
// 	    cache:false,
//         dataType:'text',
//         contentType: "application/x-www-form-urlencoded; charset=utf-8",
//         async : false,
// 	    url: getUrl('UploadNhywSjzp'), // 需要提交的 url
// 	    success: function(responseText, statusText, xhr, $form) {
// //	    	 console.log(responseText);
// 	    	res = responseText;
// //	    	console.log("res：",res);
// 	    }
// 	});
// 	return res;
// }
//
// function getUrl(ele) {
// 	var addr = "http://" + window.location.host + "/impnhyw"
// //	console.log("addr: ",addr);
// 	var httpUrl = addr + '/' + ele;
// //	console.log("httpUrl: ",httpUrl);
// 	return httpUrl;
// }